Resource Center/Resource Pool/VM Instance Operations
GETVM Instance OperationsSince 0.6SynchronousAuth Required
GetNicQos
GetNicQos
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Query Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe VM NIC UUID.
Query Parameters
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
GET/zstack/v1/vm-instances/{uuid}/nic-qos
/zstack/v1/vm-instances/{uuid}/nic-qos
Request Example
curl -X GET 'http://{host}/zstack/v1/vm-instances/{uuid}/nic-qos?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'
Response Example
200{ "outboundBandwidth": 100000.0, "inboundBandwidth": 200000.0, "outboundBandwidthUpthreshold": 300000.0, "inboundBandwidthUpthreshold": 300000.0 }Change History
This API has no change history records yet.
